#pragma once

#include <render/camera.h>
#include <game/defs.hpp>
#include <game/scene.h>
#include <list>

#include "defs.hpp"

namespace editor {

class Editor: public game::Scene
{
private:
    std::list<game::levelInfo> levelList;
    LevelEditor *levelEditor;
public:

    render::camera *camera;

    Editor();
    ~Editor();

    virtual void Show();
    virtual void Hide();

    virtual void Update();
    virtual void Render();
private:
    void LoadLevelList();
    void LoadLevel(const game::levelInfo&);
};

}
